[Pkg-directfb-devel] Bug#663039: directfb: [PATCH] Add multiarch support and don't use obsolete libsysfs-dev

Miguel A. Colón Vélez debian.micove at gmail.com
Thu Apr 26 06:14:26 UTC 2012

tags 627651 + patch


Here are updated patches with the minimal amount of changes to add
multiarch support to:
directfb-multiarch.patch =>
directfb-experimental-multiarch.patch => 1.4.3-1

The libdirectfb-dev package contains the file usr/bin/directfb-csource
which varies across architectures so it was left as-is.

The libdirectfb-bin-dbg package could be made "Multi-Arch: same" if
the compatibility level was bumped to 9 . This change is blocked by
bug #645809 since compat 9 also activates hardening flags and triggers
the FTBFS mentioned in that bug report.

Both patches also remove libsysfs-dev as requested in bug #627651.

Both patches fix FTBFS caused by using "--parallel" before "$@" and/or
"-wl,--as-needed" instead of "-Wl,--as-needed".

Hope this helps,
-------------- next part --------------
A non-text attachment was scrubbed...
Name: directfb-multiarch.patch
Type: application/octet-stream
Size: 55944 bytes
Desc: not available
URL: <http://lists.alioth.debian.org/pipermail/pkg-directfb-devel/attachments/20120426/7d63d342/attachment-0006.obj>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: directfb-experimental-multiarch.patch
Type: application/octet-stream
Size: 59093 bytes
Desc: not available
URL: <http://lists.alioth.debian.org/pipermail/pkg-directfb-devel/attachments/20120426/7d63d342/attachment-0007.obj>

More information about the Pkg-directfb-devel mailing list